Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class ArtikelOptionen
    Inherits AbstractForm
    Const MODIFIKATIONEN_TIP = "Color=RED,GREEN,BLUE|mit Knoblauch (€0,60)=JA,NEIN|ohne Knoblauch (€-0,60)=JA,NEIN|mit Zwiebel (€0,40)=JA,NEIN|ohne Zwiebel (€-0,40)=JA,NEIN"
    Const PIZZA_OPTIONEN_OLD = "Extra:mit Ananas (€ 1,00)=JA,NEIN|Extra:mit Artischocken (€ 1,00)=JA,NEIN|Extra:mit BBQ-Sauce (€ 1,00)=JA,NEIN|Extra:mit Bohnen (€ 1,00)=JA,NEIN|Extra:mit Broccoli (€ 1,00)=JA,NEIN|Extra:mit Champignons (€ 1,00)=JA,NEIN|Extra:mit Cherrytomaten (€ 1,00)=JA,NEIN|Extra:mit Chilli (€ 1,00)=JA,NEIN|Extra:mit Ei (€ 1,00)=JA,NEIN|Extra:mit Gorgonzola (€ 1,00)=JA,NEIN|Extra:mit Jalapeno (€ 1,00)=JA,NEIN|Extra:mit Koblauch (€ 1,00)=JA,NEIN|Extra:mit Mais (€ 1,00)=JA,NEIN|Extra:mit Oliven (€ 1,00)=JA,NEIN|Extra:mit Schinken (€ 1,00)=JA,NEIN|Extra:mit Shrimps (€ 1,00)=JA,NEIN|Extra:mit Speck (€ 1,00)=JA,NEIN|Extra:mit Spinat (€ 1,00)=JA,NEIN|Extra:mit Tabasco (€ 1,00)=JA,NEIN|Extra:mit Thunfisch (€ 1,00)=JA,NEIN|Extra:mit Tomaten (€ 1,00)=JA,NEIN|Extra:mit Zucchini (€ 1,00)=JA,NEIN|Extra:mit Zwiebel (€ 1,00)=JA,NEIN|Extra:mit Paprika (€ 1,00)=JA,NEIN|Extra:mit Parmesan (€ 1,00)=JA,NEIN|Extra:mit Salami (€ 1,00)=JA,NEIN|Extra:mit Sardellen (€ 1,00)=JA, NEIN|Extra:mit Schafkäse (€ 1,00)=JA,NEIN|"
    Const PIZZA_OPTIONEN = "mit Ananas (€ 1,00)=JA,NEIN|mit Artischocken (€ 1,00)=JA,NEIN|mit BBQ-Sauce (€ 1,00)=JA,NEIN|mit Bohnen (€ 1,00)=JA,NEIN|mit Broccoli (€ 1,00)=JA,NEIN|mit Champignons (€ 1,00)=JA,NEIN|mit Cherrytomaten (€ 1,00)=JA,NEIN|mit Chilli (€ 1,00)=JA,NEIN|mit Ei (€ 1,00)=JA,NEIN|mit Gorgonzola (€ 1,00)=JA,NEIN|mit Jalapeno (€ 1,00)=JA,NEIN|mit Koblauch (€ 1,00)=JA,NEIN|mit Mais (€ 1,00)=JA,NEIN|mit Oliven (€ 1,00)=JA,NEIN|mit Schinken (€ 1,00)=JA,NEIN|mit Shrimps (€ 1,00)=JA,NEIN|mit Speck (€ 1,00)=JA,NEIN|mit Spinat (€ 1,00)=JA,NEIN|mit Tabasco (€ 1,00)=JA,NEIN|mit Thunfisch (€ 1,00)=JA,NEIN|mit Tomaten (€ 1,00)=JA,NEIN|mit Zucchini (€ 1,00)=JA,NEIN|mit Zwiebel (€ 1,00)=JA,NEIN|mit Paprika (€ 1,00)=JA,NEIN|mit Parmesan (€ 1,00)=JA,NEIN|mit Salami (€ 1,00)=JA,NEIN|mit Sardellen (€ 1,00)=JA, NEIN|mit Schafkäse (€ 1,00)=JA,NEIN|"

    Property Modifikationen As String

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Private Sub ArtikelOptionen_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Try
            TextBoxModifikationen.Text = Modifikationen
            RenderOptionen(Modifikationen)
            ParentBindingNavigator.Visible = False
        Catch ex As Exception

        End Try
    End Sub
    ''' <summary>
    ''' Modifikationen für Auswahl in der Kasse zeigen
    ''' </summary>
    ''' <param name="Modifikationen"></param>
    Public Sub ShowModifikationenFuerArtikel(Modifikationen As String)
        Me.Modifikationen = Modifikationen
        RenderOptionen(Modifikationen)
        PanelVerwaltung.Visible = False
        Me.UcArtikelOptionen1.Top = 0
        Me.UcArtikelOptionen1.Height = Me.Height - 50
    End Sub

    Private Sub ButtonOK_Click(sender As Object, e As EventArgs) Handles ButtonOK.Click
        Modifikationen = TextBoxModifikationen.Text
        Close()
    End Sub

    Private Sub ButtonBeispiel_Click(sender As Object, e As EventArgs) Handles ButtonBeispiel.Click
        TextBoxModifikationen.Text = MODIFIKATIONEN_TIP
    End Sub

    Private Sub ButtonPizzaOptionen_Click(sender As Object, e As EventArgs) Handles ButtonPizzaOptionen.Click
        TextBoxModifikationen.Text = PIZZA_OPTIONEN
    End Sub

    Private Sub TextBoxModifikationen_TextChanged(sender As Object, e As EventArgs) Handles TextBoxModifikationen.TextChanged
        RenderOptionen(TextBoxModifikationen.Text)
    End Sub

    Private Sub RenderOptionen(modifikationen As String)
        UcArtikelOptionen1.RenderOptionen(modifikationen)
    End Sub

    Friend Function GetSelectedOptionen() As List(Of ArtikelOption)
        Return UcArtikelOptionen1.GetSelectedOptionen()
    End Function

    Private Sub ButtonPipe_Click(sender As Object, e As EventArgs) Handles ButtonPipe.Click
        TextBoxModifikationen.Text = TextBoxModifikationen.Text + "|"
    End Sub
End Class

